-- Star Wars Empire at War: Secrets of a Fallen Empire
-- Lua Script: //Scripts/GameObject/ObjectScript_SpawnLandBaseHealer.lua
-- Author: Galyana
-- Updated: 6 February, 2026

-- Heals all structures at game start to fix an odd bug

require("PGStateMachine")
require("PGSpawnUnits")

function Definitions()
	ServiceRate = 1
	Define_State("State_Init", State_Init);
end

function State_Init(message)
	ref_type = Find_Object_Type("Generic_Land_Base_Healing_Marker")
	position = Object.Get_Position()
	player = Object.Get_Owner()

	if message == OnEnter then
		Sleep(3) -- Allow units to spawn

		healer = Create_Generic_Object(ref_type, position, player)
		Sleep(1)
		healer.Despawn()
	end

	ScriptExit()
end